| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros | Variables
hyperlink.h File Reference

## Classes

class | wxHyperlinkEvent
| This event class is used for the events generated by wxHyperlinkCtrl. More...
class | wxHyperlinkCtrl
| This class shows a static text element which links to an URL. More...

## Macros

#define | wxHL_CONTEXTMENU 0x0001
#define | wxHL_ALIGN_LEFT 0x0002
#define | wxHL_ALIGN_RIGHT 0x0004
#define | wxHL_ALIGN_CENTRE 0x0008
#define | wxHL_DEFAULT_STYLE (wxHL_CONTEXTMENU|wxNO_BORDER|wxHL_ALIGN_CENTRE)

## Variables

wxEventType | wxEVT_HYPERLINK

## Macro Definition Documentation

#define wxHL_ALIGN_CENTRE 0x0008

#define wxHL_ALIGN_LEFT 0x0002

#define wxHL_ALIGN_RIGHT 0x0004

#define wxHL_CONTEXTMENU 0x0001

#define wxHL_DEFAULT_STYLE (wxHL_CONTEXTMENU|wxNO_BORDER|wxHL_ALIGN_CENTRE)

## Variable Documentation

wxEventType wxEVT_HYPERLINK